build:
	docker build . -t hexlet/fastify

test: build

# BEGIN
start:
	FASTIFY_ADDRESS=0.0.0.0 cd ./code && npm run start

lint:
	cd ./code && npx eslint .

container-build:
	docker run \
		-itd \
		--name hexlet_docker_server \
		-p 127.0.0.1:3000:3000/tcp \
		hexlet/fastify

container-start:
	docker start hexlet_docker_server

container-lint:
	docker exec -it hexlet_docker_server make lint

container-listen:
	docker exec -it hexlet_docker_server make start

container-sh:
	docker exec -it hexlet_docker_server sh
# END
